### Property

# Camel MessageInfo:message-id

since: 3.24

#### Declaration

    property message-id: guint64 [ read, write ]

#### Description [src]

Encoded Message-ID of the associated message as a guint64 number, partial MD5 sum. The value can be cast to `CamelSummaryMessageID`.

Type:`guint64`

Available since: 3.24

Default value | 0
Getter method | `camel_message_info_get_message_id()`
Setter method | `camel_message_info_set_message_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no